Subject: bug#34341: 26.1; url-retrieve-synchronously returns blank buffer

From: Noam Postavsky <[email-masked]>
Date: Mon, 06 May 2019 08:10:32 -0400

Robert Pluim <[email-masked]> writes:

>>>>>> On Sat, 04 May 2019 11:18:30 -0400, Noam Postavsky <[email-masked]> said:
>
>     Noam> I can confirm that cherrypicking this commit fixes the
>     Noam> problem on my Arch box which has gnutls 3.6.7 (doesn't occur
>     Noam> at all on my Debian box with gnutls 3.5.8).
>
>     Noam> Since the only recourse for users hitting is rebuilding
>     Noam> --without-gnutls or (advice-add 'gnutls-available-p
>     Noam> :override #'ignore) which falls back to the obsolete tls.el,
>     Noam> I'd say this is important enough to backport to emacs-26.
>     Noam> I'll do that in a couple of days if there are no objections.
>
> Are you sure thatʼs the only recourse? When I hit this issue, turning
> off TLS1.3 support helped as well. (see
> <https://lists.gnu.org/archive/html/emacs-devel/2019-02/msg00393.html>
> and
> <https://lists.gnu.org/archive/html/help-gnu-emacs/2019-02/msg00196.html>)
>
> Something like:
>
> (setq gnutls-algorithm-priority "NORMAL:-VERS-TLS1.3")
>
> would be one way to turn off TLS1.3

Thanks, I wasn't aware of this, I'll check if that helps later today.  I
think it makes sense to backport regardless though.